"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// test/e2e/enum.ts
var enum_exports = {};
__export(enum_exports, {
  input: () => input
});
module.exports = __toCommonJS(enum_exports);
var input = {
  title: "Enum",
  type: "object",
  definitions: {
    enumFromDefinition: {
      type: "string",
      enum: ["a", "b", "c"]
    }
  },
  properties: {
    stringEnum: {
      type: "string",
      enum: ["a", "b", "c"]
    },
    impliedStringEnum: {
      enum: ["a", "b", "c"]
    },
    booleanEnum: {
      type: "boolean",
      enum: [true]
    },
    impliedBooleanEnum: {
      enum: [true]
    },
    integerEnum: {
      type: "integer",
      enum: [-1, 0, 1]
    },
    impliedIntegerEnum: {
      enum: [-1, 0, 1]
    },
    numberEnum: {
      type: "number",
      enum: [-1.1, 0, 1.2]
    },
    namedIntegerEnum: {
      type: "integer",
      enum: [1, 2, 3],
      tsEnumNames: ["One", "Two", "Three"]
    },
    impliedNamedIntegerEnum: {
      enum: [4, 5, 6],
      tsEnumNames: ["Four", "Five", "Six"]
    },
    impliedHeterogeneousEnum: {
      enum: [-20.1, null, "foo", false]
    },
    namedIntegerEnumTitle: {
      type: "integer",
      enum: [1, 2, 3],
      title: "NamedInteger",
      tsEnumNames: ["One", "Two", "Three"]
    },
    impliedNamedIntegerEnumTitle: {
      enum: [4, 5, 6],
      title: "ImpliedNamedInteger",
      tsEnumNames: ["Four", "Five", "Six"]
    },
    enumThatComesFromADefinition: {
      $ref: "#/definitions/enumFromDefinition"
    },
    propertyWithAnEnum: {
      type: "object",
      properties: {
        enumThatComesFromADefinition: {
          $ref: "#/definitions/enumFromDefinition"
        }
      }
    }
  },
  required: [
    "stringEnum",
    "impliedStringEnum",
    "booleanEnum",
    "impliedBooleanEnum",
    "integerEnum",
    "impliedIntegerEnum",
    "impliedNamedIntegerEnum",
    "namedIntegerEnumTitle",
    "impliedNamedIntegerEnumTitle"
  ],
  additionalProperties: false
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  input
});
